Subject: bug#63283: Emacs crash within fontset

From: Ruijie Yu <[email-masked]>
Date: Fri, 05 May 2023 11:19:35 +0800

Seppo Ronkainen via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> writes:

> Honorable GNU developers !
>
> For some reason the new Emacs 29.0.90 did not build at work the other day unless I provided configuration option --without-all (I plan to look
> into why later but that is not why I am writing this report now).
>
> When I experimented with Emacs (29.0.90 --without-all) I noticed a crash defect that was easy to reproduce. It seemed to have with fonts to do.
> I have noticed the same problem both at work CentOS 7.9 and at home (currently on a raspberry pi 4) not that it matters but anyhow several
> machines / architectures. The problem seemed non-present when I built Emacs without configuration option --without-all
>
> I attach details about my findings in an org file, hope it helps

Not quite sure if this is a bug per-se, since there are some of the
default configurations concerning fonts, which you have deliberately
disabled.

This is the value of `system-configuration-features' on my build:

--8<---------------cut here---------------start------------->8---
"ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER
PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
TREE_SITTER WEBP XIM GTK3 ZLIB"
--8<---------------cut here---------------end--------------->8---

Someone more qualified may be able to answer which feature(s) exactly
are needed for having fonts work correctly.

What is the value of this variable on a `--without-all' build?  And does
the issue occur on both GUI ("emacs -Q") session and TUI ("emacs -Q
-nw") session?

-- 
Best,

RY

[Please note that this mail might go to spam due to some
misconfiguration in my mail server -- still investigating.]